Skip to content

getRootCategories.v1

POST
/shopgate.catalog.getRootCategories.v1

This pipeline is used to retrieve the root categories of the shop

Media typeapplication/json
object
sort

How to sort the result, if relevance is selected, the merchants shop system or import decides the order

string
default: relevance
Allowed values: nameAsc nameDesc relevance

Successful response.

Media typeapplication/json
object
categories
Array<object>

Describes a category

object
id
required

The category-number or unique id inside this specific shop

string
name
required

The display-name of this category

string
productCount
required

Combined number of prodcts in the current and all subcategories

integer format: int32
imageUrl
required

The category-image

string
childrenCount

It is the number of direct sub categories

integer format: int32
Example
{
"categories": [
{
"id": "cat41",
"name": "Category 41",
"productCount": 229,
"imageUrl": "http://shopgate.cdn/category41.png"
}
]
}